Page MenuHomePhabricator

Mobile section editing no longer works (it always edits whole article)
Closed, ResolvedPublic

Description

Mobile section editing no longer works (it always edits whole article).

Steps to reproduce:

Expected: the editor opens (either VE or WTE), only text of that section is visible
Actual: the editor opens, text of the entire article is visible

Details

Related Gerrit Patches:
mediawiki/extensions/MobileFrontend : mastermobile.init/editor: Fix triggering section edits

Event Timeline

matmarex created this task.Sep 16 2019, 9:39 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 16 2019, 9:39 PM
matmarex claimed this task.Sep 16 2019, 9:40 PM
matmarex triaged this task as Unbreak Now! priority.
matmarex edited projects, added VisualEditor (Current work); removed VisualEditor.
Restricted Application added a subscriber: Liuxinyu970226. · View Herald TranscriptSep 16 2019, 9:40 PM

Change 537213 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[mediawiki/extensions/MobileFrontend@master] mobile.init/editor: Fix triggering section edits

https://gerrit.wikimedia.org/r/537213

Change 537213 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] mobile.init/editor: Fix triggering section edits

https://gerrit.wikimedia.org/r/537213

matmarex moved this task from Inbox to High Priority on the Editing QA board.Sep 18 2019, 3:24 AM
Ryasmeen edited projects, added Verified; removed Editing QA.Sep 19 2019, 6:09 PM
Ryasmeen moved this task from QA to Product owner review on the VisualEditor (Current work) board.
ppelberg closed this task as Resolved.Oct 23 2019, 1:12 AM